#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	
	ofSetVerticalSync(true);
	
	ofBackground(220,220,220);
	
	ofSetCircleResolution(100);
	
	
	radius = 50;
	
}

//--------------------------------------------------------------
void testApp::update(){
	

	
	for (int i=0;i<points.size();i++){
		points[i].x=points[i].x + ofRandom(-2, 2)*cos(ofGetElapsedTimef()*3);
		//points[i].y=points[i].y  +1*-sin(ofGetElapsedTimef()+i/10);
    
	}
	radius=radius-0.1;
	
}

//--------------------------------------------------------------
void testApp::draw(){
	
	//color and size
	float sinOfTime			= sin( ofGetElapsedTimef() );
	float sinOfTimeMapped		= ofMap( sinOfTime, -1, 1, 0, 255);
	float sinOfTimeAlpha		= ofMap( sinOfTime, -1, 1, 40, 255);
	float sinBack			= ofMap( sinOfTime, -1, 1, 150, 240);


	float sinOfTimeMappedSize		= ofMap( sinOfTime, -1, 1, 4, 10);
	ofBackground(40,40,40);

	
	float xorig = ofGetWidth()/2;
	float yorig = 0;
	float angle = ofGetElapsedTimef()*200;
	
	float x = xorig + radius * cos(angle)*5;
	float y = yorig + radius * -sin(angle+2);
	
	ofPoint temp;
	temp.x = x;
	temp.y = y;
	

	//points to circle
	if (points.size() < 2000){
		points.push_back(temp);

	}
	

	
	
	ofEnableAlphaBlending();
	
	ofSetColor(255, 255,255);
	
	ofFill();
	ofBeginShape();
	
	for (int i = 0; i < points.size(); i++){
		// ofVertex(points[i].x , points[i].y+0.5*i);
	  ofCircle(points[i].x , points[i].y+i*1.5, 30);



	}
	
	ofEndShape();
	
	ofDisableAlphaBlending();

	


	
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){
	
}

//--------------------------------------------------------------
void testApp::keyReleased(int key){
	
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
	
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){
	
}

